public class Rectangle {
    
  // the Rectangle class has 3 fields
  private int width;
  private int height;
  private Point origin;
    
  // the Rectangle class has one constructor
  public Rectangle(int width, int height, Point origin) {
    this(width,height);
    this.origin = origin;
  }
  
  public Rectangle(int width, int height) {
    this.width = width;
    this.height = height;
  }
    
  // the Rectangel class has 3 methods
  public void setWidth(int width ) {
    this.width = width;
  }
  
  public int getWidth() {
    return width;
  }
    
  public void setHeight(int height ) {
    this.height = height;
  }
  
  public int getHeight() {
    return height;
  }
    
  public void setOrigin(Point o) {
    origin = o;
  }
  
  public Point getOrigin() {
    return origin;
  }
  
  public int getArea() {
       return width * height;
  }
   
  // Move rectangle origin by x,y
  public void move(int dx, int dy) {
    origin.setX( origin.getX() + dx );
    origin.setY( origin.getY() + dy );
  }
}